Subject: Re: problem linking class String
From: [email-masked] (James Paul Morgan)

27 Apr 1997 13:33:50 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: Carl Nicol <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Fri, 25 Apr 1997, Carl Nicol wrote:

> I'm trying to build a program with class String from
> "String.h", 
> and although the compiler finds the include file, it does not seem to be
> able to link in the class members, giving the following messages:
> 
> C:\PROJECTS\why>g++ -o test test.cc
> C:\TEMP/cc0010011.o(.text+0x1d6):test.cc: undefined reference to
> `String::String(char const *)'
> [SNIP]
>

g++ test.cc -o test -lg++

I had the same problem till I started linking agains the g++ library.

See ya around the Mulberry bush.

--James

:)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".